body{
  color:#40514E;
  margin: 0;
  text-align:center;
  font-family: 'Merriweather',serif;
}
.topcont{
  background-color:#E4F9F5;
  position: relative;
  padding: 100px;
}
.middle-container{
  margin: 100px 0 ;
}
.bottom-container{
  background-color: #66BFBF;
  padding: 50px 0 20px;}
a{
  color: #5800FF;
  margin: 10px 20px;
  font-family: 'Montserrat',sans-serif;


}

hr{
  border:dotted #96CEB4 6px;
  border-bottom: none;
  width: 5%;
  margin: 50px auto;
}
h1{
  color: #66BFBF;
  line-height: 2;
  font-size: 5.625rem;
  margin: 50px auto 0 auto;
  font-family: 'Sacramento',cursive;

}
h2{
  color:#66BFBF;
  margin: 0;
  font-family: 'Montserrat',sans-serif;
  font-size: 2.5rem;
  font-weight: normal;
  padding-bottom: 10px;
}
h3{
  font-family: 'Montserrat',sans-serif;
  color: #11999E;
}

.bottom-cloud{
  position: absolute;
}
.top-cloud{
  margin-left: 380px;
}
.contact-message{
  width: 40%;
  margin: 40px auto 60px;
}
.comp{
  padding: 16px;
 width: 25%;
 float:right;
}
.chilli{
  padding: 16px;
  width: 25%;
  float:left;
}
.skill-row{
  width: 50%;
  line-height: 2;
  text-align: left;
  margin:50px auto 100px auto;
}
.btn {
  background: #30e3cb;
  background-image: -webkit-linear-gradient(top, #30e3cb, #2bc4ad);
  background-image: -moz-linear-gradient(top, #30e3cb, #2bc4ad);
  background-image: -ms-linear-gradient(top, #30e3cb, #2bc4ad);
  background-image: -o-linear-gradient(top, #30e3cb, #2bc4ad);
  background-image: linear-gradient(to bottom, #30e3cb, #2bc4ad);
  -webkit-border-radius: 8;
  -moz-border-radius: 8;
  border-radius: 8px;
  font-family: Georgia;
  color: #ffffff;
  font-size: 20px;
  padding: 10px 20px 10px 20px;
  text-decoration: none;
}

.btn:hover {
  background: #3cb0fd;
  background-image: -webkit-linear-gradient(top, #3cb0fd, #3498db);
  background-image: -moz-linear-gradient(top, #3cb0fd, #3498db);
  background-image: -ms-linear-gradient(top, #3cb0fd, #3498db);
  background-image: -o-linear-gradient(top, #3cb0fd, #3498db);
  background-image: linear-gradient(to bottom, #3cb0fd, #3498db);
  text-decoration: none;
}
$t: rgba(255, 0, 0, 0);
$w: rgba(255, 255, 255, 0.98);

* {
  box-sizing: border-box;
}

.sticker {
  --c1: #ef548f;
  --c2: #ef8b6d;
  --c3: #cfef6b;
  --c4: #3bf0c1;
  --c5: #bb4af0;
  --shine-angle: 15deg;
  display: inline-grid;
  grid-template-areas: "text";
  place-items: center;
  font-family: "Alegreya Sans SC", sans-serif;
  font-weight: 900;
  font-style: italic;
  font-size: clamp(3rem, 1vw, 1rem);
  text-transform: uppercase;
  color: var(--c5);

  &-lg {
    font-size: clamp(3rem, 3vw, 2rem);
  }

  span {
    background: linear-gradient(
        var(--shine-angle),
        $t 0%,
        $t 35%,
        $w 49.95%,
        $w 50.15%,
        $t 65%,
        $t
      ),
      linear-gradient(
        to right,
        var(--c1),
        var(--c2),
        var(--c3),
        var(--c4),
        var(--c5)
      );
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke: 0.01em rgba(0, 0, 0, 0.6);
    // FUn fact - letter-spacing messes with the ability of the
    // gradient to cover all the text :(
  }

  & > *,
  &::before,
  &::after {
    grid-area: text;
  }

  &::before,
  &::after {
    content: attr(data-text);
    color: #fff;
  }

  &::before {
    -webkit-text-stroke: 0.21em white;
    background: no-repeat linear-gradient(white, white) 15% 50% / 85% 60%;

    // Original failed attempt
    // letter-spacing: -0.04em;
    // transform: scale(1.12) translateX(-0.02em) translateY(0.002em);
    // text-shadow: 0.002em 0.002em 0.02em rgba(0, 0, 0, 0.75);
    // -webkit-text-stroke: 0.001em rgba(0, 0, 0, 0.6);
  }

  &::after {
    text-shadow: 0.07em 0.08em 0.05em rgba(0, 0, 0, 0.75),
      -0.07em -0.05em 0.05em rgba(0, 0, 0, 0.75);
    z-index: -2;
  }
}

body {
  min-height: 100vh;
  min-height: -webkit-fill-available;
  display: grid;
  place-content: center;
  font-family: sans-serif;
  background-color: #d1dbe8;
  line-height: 1;
  color: var(--c5);
}
